%define major 3
%define libname %mklibname ev %{major}
%define develname %mklibname ev -d

Summary:	High-performance event loop/event model
Name:		libev
Version:	3.53
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
Url:		http://software.schmorp.de/pkg/libev.html
Source0:	http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modelled (very losely) after libevent and the Event perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{libname}
Summary:	High-performance event loop/event model
Group:		System/Libraries
Obsoletes:	%mklibname ev 1.4 2

%description -n %{libname}
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modelled (very losely) after libevent and the Event perl module,
but aims to be faster and more correct, and also more featureful.

%package -n	%{develname}
Summary:	High-performance event loop/event model
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This is the development files needed in order to develop applications using
libev.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std


%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README
%{_includedir}/ev*.h
%{_libdir}/libev*.a
%{_libdir}/libev*.so
%{_libdir}/libev*.la
%{_mandir}/man3/ev*


%changelog
* Mon Feb 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.53-1mdv2009.1
+ Revision: 340738
- update to new version 3.53

* Sat Jan 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.52-1mdv2009.1
+ Revision: 328092
- update to new version 3.52

* Sat Dec 27 2008 Funda Wang <fundawang@mandriva.org> 3.51-1mdv2009.1
+ Revision: 319983
- new version 3.51

* Wed Nov 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.49-1mdv2009.1
+ Revision: 304484
- update to new version 3.49

* Fri Oct 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.48-1mdv2009.1
+ Revision: 298967
- update to new version 3.48

* Wed Oct 22 2008 Funda Wang <fundawang@mandriva.org> 3.45-1mdv2009.1
+ Revision: 296349
- New version 3.45

* Sat Oct 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.44-1mdv2009.1
+ Revision: 292467
- update to new version 3.44

* Mon Jul 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.43-1mdv2009.0
+ Revision: 239434
- update to new version 3.43

* Sun Jun 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.42-1mdv2009.0
+ Revision: 227861
- update to new version 3.42

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.41-1mdv2009.0
+ Revision: 211227
- obsolete old libname
- update to new version 3.41
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix devel description
    - remove libevent URL

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 1.4.0-0.beta.1mdv2008.1
+ Revision: 112064
- import libev


* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 1.4.0-0.beta.1mdv2008.1
- initial package
